Bug 682673 - system fails to boot do to x86-64 kernel corrupting bios memory area [rhel-5.6.z]
Summary: system fails to boot do to x86-64 kernel corrupting bios memory area [rhel-5....
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.4
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Igor Zhang
URL:
Whiteboard:
Depends On: 675258
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-07 08:45 UTC by RHEL Product and Program Management
Modified: 2015-05-05 01:22 UTC (History)
10 users (show)

Fixed In Version: kernel-2.6.18-238.8.1.el5
Doc Type: Bug Fix
Doc Text:
Booting a Red Hat Enterprise Linux 5.4 or later kernel failed (the system became unresponsive) due to the zeroing out of extra bytes of memory of the reset vector. The reset vector is comprised of two 16-bit registers (high and low). Instead of zeroing out 32-bits, the kernel was zeroing out 64-bits. On some machines this overwritten memory was used during the boot process, resulting in a hang. With this update, the long data type has been changed to the unsigned 32-bit data type; thus, resolving the issue. The Red Hat Enterprise Linux 5.4 and later kernel now boot as expected on the machines affected by this bug.
Clone Of:
Environment:
Last Closed: 2011-04-12 18:20:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0429 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-04-12 18:19:57 UTC

Description RHEL Product and Program Management 2011-03-07 08:45:46 UTC
This bug has been copied from bug #675258 and has been proposed
to be backported to 5.6 z-stream (EUS).

Comment 3 Jiri Pirko 2011-03-18 06:59:33 UTC
in kernel-2.6.18-238.8.1.el5

linux-2.6-x86_64-use-u32-not-long-to-set-reset-vector-back-to-0.patch

Comment 6 errata-xmlrpc 2011-04-12 18:20:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0429.html

Comment 7 Martin Prpič 2011-04-14 10:32:12 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Booting a Red Hat Enterprise Linux 5.4 or later kernel failed (the system became unresponsive) due to the zeroing out of extra bytes of memory of the reset vector. The reset vector is comprised of two 16-bit registers (high and low). Instead of zeroing out 32-bits, the kernel was zeroing out 64-bits. On some machines this overwritten memory was used during the boot process, resulting in a hang. With this update, the long data type has been changed to the unsigned 32-bit data type; thus, resolving the issue. The Red Hat Enterprise Linux 5.4 and later kernel now boot as expected on the machines affected by this bug.


Note You need to log in before you can comment on or make changes to this bug.